# NAME

Pcore::PDF - HTML to PDF convertor

# SYNOPSIS

    use Pcore::PDF;

    my $pdf = Pcore::PDF->new({
        prince      => 'path-to-princexml-executable',
        max_threads => 4,
    });

    my $cv = AE::cv;

    $pdf->generate_pdf($html, sub ($res) {
        if (!$res) {
            say $res;
        }
        else {

            # $res->{data}->{pdf} contains ScalarRef to generated PDF content
        }

        return;
    });

    $cv->recv;

# DESCRIPTION

Generate PDF from HTML templates, using princexml.

# ATTRIBUTES

- prince

    Path to princexml executable. Mandatory attribute.

- max\_threads

    Maximum number of princexml processes. Under Windows this value should be 1, under linux default value is 4.

# METHODS

- generate\_pdf( $self, $html, $cb )

    Generates PDF from $html template.

# SEE ALSO

[https://www.princexml.com/](https://www.princexml.com/)

# AUTHOR

zdm <zdm@softvisio.net>

# COPYRIGHT AND LICENSE

This software is copyright (c) 2016 by zdm.
